package org.jeecg.modules.ctop.entity;

import cn.com.ctop.common.module.utils.CtopAdConstant;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 内部培训视频信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-04-22
 */
@Data
@TableName("ctop_edu_lesson_new")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_edu_lesson_new对象", description = "内部培训视频信息")
public class EduLessonNew {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * name
     */
    @Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
    private String name;
    /**
     * 文件类型
     */
    @Excel(name = "文件类型", width = 15)
    @ApiModelProperty(value = "文件类型")
    private Integer fileType;
    /**
     * 节点类型
     */
    @Excel(name = "节点类型", width = 15)
    @ApiModelProperty(value = "节点类型")
    private Integer nodeType;
    /**
     * 父id
     */
    @Excel(name = "父id", width = 15)
    @ApiModelProperty(value = "父id")
    private Integer parentId;
    /**
     * author
     */
    @Excel(name = "author", width = 15)
    @ApiModelProperty(value = "author")
    private String author;
    /**
     * desc
     */
    @Excel(name = "desc", width = 15)
    @ApiModelProperty(value = "desc")
    private String desc;
    /**
     * fileId
     */
    @Excel(name = "fileId", width = 15)
    @ApiModelProperty(value = "fileId")
    private String fileId;
    /**
     * enabled
     */
    @Excel(name = "enabled", width = 15)
    @ApiModelProperty(value = "enabled")
    private Integer enabled;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;

    public EduLessonNew() {
        this.enabled = CtopAdConstant.COMMON_STATUS_ENABLED;
        this.createTime = new Date();
        this.updateTime = new Date();
    }
}
